All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class PlotVariableList

    com.sas.graphics.components.PlotVariableList

    public class PlotVariableList

PlotVariableLists are used to form an ordered list of PlotVariables. Graphs support multiple data column associations on some of their variable roles. For example graphs allow multiple data columns to be associated with their Column and Row Variables via the graph's DataModel. Some graphs like the BarChart also support multiple data column associations on other graph variables roles (such as the ResponseVariable in this example) to enable better data comparisons.

## Usage

You can chain PlotVariableList objects together via the "next" property.

Example

You can chain together the "Product" and "Region" data columns by doing one of the following:

     PlotVariableList myVariable1 = new PlotVariableList();
     myVariable1.setColumnName("Product");
     PlotVariableList myVariable2 = new PlotVariableList();
     myVariable2.setColumnName("Region");
     myVariable1.setNext(myVariable2);

As a convenience the constructor supports constructing a list this same way as follows:

     myVariable = new PlotVariableList( new String[]{"Product","Region"});

Example as applicable to a BarChart

     BarChart barChart = new BarChart();
     TableModel tableModel = myTableModel();
     // <...set up tableModel...>
     BarChartTableDataModel barChartTableDataModel = new BarChartTableDataModel(tableModel);
     barChartTableDataModel.setColumnVariable(new PlotVariableList( new String[]{"Product","Region"}));
     barChart.setDataModel( barChartTableDataModel );

## Behavior

PlotVariableList acts as a simple linked list of PlotVariable objects.

Since:
  SAS 9.1
See Also:
  `Variable`, `VariableList`, `PlotVariable`, `AnalysisVariable`, `AnalysisVariableList`

Constructor Summary
`PlotVariableList(int columnIndex, java.lang.String format, java.lang.String informat, java.lang.String label, PlotVariableList next)`
`PlotVariableList(PlotVariable[] variableArray)` Construct a list of VariableList objects whose properties and order are defined by the Variables in the array.
`PlotVariableList(java.lang.String[] columnNames)` Construct a list of VariableList objects designated by column name in the order provided.
`PlotVariableList(java.lang.String columnName, java.lang.String format, java.lang.String informat, java.lang.String label, PlotVariableList next)` Constructor designating data column by name.

Method Summary
`PlotVariable[]` | `asArray()` Provides a conversion into a Variable array.
`java.util.ArrayList` | `asArrayList()` Provides a conversion into an ArrayList.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `PlotVariableList`.
`PlotVariableList` | `getNext()` Returns the next PlotVariableList in the list.
`int` | `hashCode()` Computes the hash code for this `PlotVariableList`.
`java.util.Iterator` | `iterator()` Provides an iterator to the list.

Methods inherited from class com.sas.graphics.components.RangeVariable
`getHighColumnIndex, getHighColumnName, getHighLabel, getLowColumnIndex, getLowColumnName, getLowLabel, getTargetColumnIndex, getTargetColumnName, getTargetLabel`

Methods inherited from class com.sas.graphics.components.Variable
`getCategorizationModel, getColumnIndex, getColumnName, getFormat, getInformat, getLabel, getSegmentedRangeStyle`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### PlotVariableList

    public PlotVariableList(java.lang.String columnName,
                            java.lang.String format,
                            java.lang.String informat,
                            java.lang.String label,
                            PlotVariableList next)

  Constructor designating data column by name.

  Parameters:
    `columnName` - the name identifying the data column
    `format` - the name of the SAS format applied (by the graph) on the values found in this variable's data column
    `informat` - the name of the SAS informat applied (by the graph) on the values found in this variable's data column
    `label` - the label the chart will display via data tips, axis labels and legend labels (where applicable)
    `next` - the next variable in the list

    The supported informats are:

    - `DATE5. - "ddMMM"`
    - `DATE7. - "ddMMMyy"`
    - `DATE9. - "ddMMMyyyy"`
    - `DATETIME13. - "ddMMMyy:HH:mm"`
    - `DATETIME16. - "ddMMMyy:HH:mm:ss"`
    - `DATETIME18. - "ddMMMyyyy:HH:mm:ss"`
    - `DATETIME20. - "ddMMMyy:HH:mm:ss.SSS"`
    - `DATETIME22. - "ddMMMyyyy:HH:mm:ss.SSS"`
    - `TIME5. - "HH:mm"`
    - `TIME8. - "HH:mm:ss""`
    - `TIME12. - "HH:mm:ss.SSS"`

### PlotVariableList

    public PlotVariableList(int columnIndex,
                            java.lang.String format,
                            java.lang.String informat,
                            java.lang.String label,
                            PlotVariableList next)

### PlotVariableList

    public PlotVariableList(java.lang.String[] columnNames)

  Construct a list of VariableList objects designated by column name in the order provided.

  Parameters:
    `columnNames` - the column names

### PlotVariableList

    public PlotVariableList(PlotVariable[] variableArray)

  Construct a list of VariableList objects whose properties and order are defined by the Variables in the array.

  Parameters:
    `variableArray` - the array of variables

Method Detail

### getNext

    public PlotVariableList getNext()

  Returns the next PlotVariableList in the list.

  Returns:
    the next classifcaiton variable list

### asArray

    public PlotVariable[] asArray()

  Provides a conversion into a Variable array.

### asArrayList

    public java.util.ArrayList asArrayList()

  Provides a conversion into an ArrayList. Please note that modifying the ArrayList will not have an affect on the graph but modifying the properties of the elements in the List will.

  See Also:
    `ArrayList`

### iterator

    public java.util.Iterator iterator()

  Provides an iterator to the list. Note: Since the VariableList class is immutable the `remove` method will not have any affect on the list.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `PlotVariableList`.

  The result is `true` if and only if the argument is not `null` and is a `PlotVariableList` object that has the same property values as this object.

  Overrides:
    `equals` in class `PlotVariable`
  Parameters:
    `obj` - the object to test for equality with this `PlotVariableList`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Computes the hash code for this `PlotVariableList`.

  Overrides:
    `hashCode` in class `PlotVariable`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.